%global pypi_name astroML

Name:           python-%{pypi_name}
Version:        0.2
Release:        3%{?dist}
Summary:        Python tools for machine learning and data mining in Astronomy

License:        BSD
URL:            http://www.astroml.org/
Source0:        https://pypi.python.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  numpy
BuildRequires:  python-astropy
BuildRequires:  python2-devel
BuildRequires:  python-matplotlib
BuildRequires:  python-nose
BuildRequires:  python-scikit-learn
BuildRequires:  python-setuptools
BuildRequires:  scipy
BuildRequires:  xorg-x11-server-Xvfb

Requires:       numpy
Requires:       python-astropy
Requires:       python-matplotlib
Requires:       python-scikit-learn
Requires:       scipy

%description
AstroML is a Python module for machine learning and data mining built on
numpy, scipy, scikit-learn, and matplotlib, and distributed under the
3-clause BSD license. It contains a growing library of statistical and
machine learning routines for analyzing astronomical data in python,
loaders for several open astronomical datasets, and a large suite of
examples of analyzing and visualizing astronomical datasets.


%package doc
Summary:        Examples for the %{pypi_name} package

%description doc
Documentation and examples for %{pypi_name}.


%prep
%setup -qn %{pypi_name}-%{version}


%build
%{__python2} ./setup.py build


%install
%{__python2} ./setup.py install -O1 --skip-build --root %{buildroot}


%check
xvfb-run -a nosetests


%files
%doc *.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-*.egg-info

%files doc
%doc *.rst book_figures examples paper_figures


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 17 2014 Christian Dersch <chrisdersch@gmail.com> - 0.2-2
- fixed spec to match packaging guidelines

* Mon Feb 24 2014 Christian Dersch <chrisdersch@gmail.com> - 0.2-1
- upgrade to version 0.2, addons is now a seperate package (upstream change)

* Thu Oct 17 2013 Christian Dersch <chrisdersch@gmail.com> - 0.1.2-2
- fixed spec to match packaging guidelines

* Thu Oct 10 2013 Christian Dersch <chrisdersch@gmail.com> - 0.1.2-1
- initial spec
